<?php

//************************************************
//Proceso: Actualizacion de lanzamientos desde el portal de fulljouse
//Fecha: Feb/20232
//Version: 1.0
//Programador: Julio C. Chiaraviglio
//************************************************
global $RUTA_ARCHIVO;
global $NOMBRE_ARCHIVO;
global $RUTA_COMPLETA_ARCHIVO;
global $MENSAJELOGS;
global $CANTERROR;
global $INICIODATETIME;
global $ARCHIVOINI;
global $PARAMETROSAPI;
global $URLAPI;
global $FECHAPROCESO;


date_default_timezone_set('America/Argentina/Buenos_Aires');
chdir(dirname(__FILE__));
include_once "./config/config.php";
include_once "./funciones/utils.php";
include "./dbaccess/dataacess.php";
set_error_handler("errordriver");
$ARCHIVOINI = pathinfo(__FILE__, PATHINFO_FILENAME) . ".ini";
$FECHAPROCESO= date('Y-m-d');
$INICIODATETIME = date('Y-m-d H:i:s');
leerarchivoini();
dbdata();
escribirlog("Hora de inicio: " . $INICIODATETIME);
include "traerdatos.php";
traerdatosAPI();
include "depurardatos.php";
depurarlanzamientosantiguos();
escribirlog("Hora de fin: " . date('Y-m-d H:i:s'));